Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.samples.basic
Class TestPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.samples.basic.TestPortlet

All Implemented Interfaces:
  javax.portlet.Portlet

    public class TestPortlet

extends JBossPortlet

Version:
  $Revision: 5883 $
Author:
  Julien Viet

Constructor Summary
`TestPortlet()`

Method Summary
`void` | `addrole(JBossActionRequest req, JBossActionResponse resp)`
`protected void` | `doView(JBossRenderRequest req, JBossRenderResponse resp)` Throw a `PortletException`.
`void` | `main(JBossActionRequest req, JBossActionResponse resp)`
`void` | `testaction(JBossActionRequest req, JBossActionResponse resp)`
`void` | `testsignout(JBossActionRequest req, JBossActionResponse resp)`
`void` | `testsignout2(JBossActionRequest req, JBossActionResponse resp)`
`void` | `testsignout3(JBossActionRequest req, JBossActionResponse resp)`
`void` | `testsignout4(JBossActionRequest req, JBossActionResponse resp)`

Methods inherited from class org.jboss.portlet.JBossPortlet
`destroy, doAdmin, doDispatch, doEdit, doHelp, getDefaultOperation, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, init, init, processAction, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestPortlet

    public TestPortlet()

Method Detail

### main

    public void main(JBossActionRequest req,
                     JBossActionResponse resp)

### addrole

    public void addrole(JBossActionRequest req,
                        JBossActionResponse resp)

### testaction

    public void testaction(JBossActionRequest req,
                           JBossActionResponse resp)

### testsignout

    public void testsignout(JBossActionRequest req,
                            JBossActionResponse resp)

### testsignout2

    public void testsignout2(JBossActionRequest req,
                             JBossActionResponse resp)

### testsignout3

    public void testsignout3(JBossActionRequest req,
                             JBossActionResponse resp)

### testsignout4

    public void testsignout4(JBossActionRequest req,
                             JBossActionResponse resp)

### doView

    protected void doView(JBossRenderRequest req,
                          JBossRenderResponse resp)
                   throws javax.portlet.PortletException,
                          javax.portlet.PortletSecurityException,
                          java.io.IOException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doView` in class `JBossPortlet`
  Throws:
    `javax.portlet.PortletException`
    `javax.portlet.PortletSecurityException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD